/* © SRSoftware 2025 */
package de.srsoftware.umbrella.contact;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Contact;
import java.util.Map;

public interface ContactDb {
	void drop(Contact contact);

	Map<Long,Contact> listContactsOf(long userId) throws UmbrellaException;

	Contact load(long contactId, long userId);

	Contact save(Contact contact);

	void setOwner(long userId, Contact contact);
}
